%global pkgver $(rpm -qls tracker-devel | grep sparql | grep pc | cut -d"-" -f3 | cut -d"." -f1-2)

Summary: AFP fileserver for Macintosh clients
Name:    netatalk
Version: 3.1.6
Release: 0.0.4%{?dist}
Epoch:   4
License: GPLv2+
Group:   System Environment/Daemons
Source0: http://download.sourceforge.net/netatalk/netatalk-%{version}.tar.bz2
Source2: netatalk.pam-system-auth

Patch0:  netatalk-3.0.1-basedir.patch
Patch1:  netatalk-3.1.5-spotlight-home-workaround.patch

Url:	 http://netatalk.sourceforge.net/
Requires: pam mariadb-libs dconf
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: cracklib-devel openssl-devel pam quota-devel libtool automake
BuildRequires: autoconf libdb-devel pam-devel tcp_wrappers-devel libgcrypt-devel
BuildRequires: avahi-devel libacl-devel openldap-devel libevent-devel
BuildRequires: dbus-devel dbus-glib-devel glib2-devel systemtap-sdt-devel
BuildRequires: libtdb-devel tracker-devel mariadb-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Netatalk is a freely-available Open Source AFP fileserver. A *NIX/*BSD
system running Netatalk is capable of serving many Macintosh clients
simultaneously as an AppleShare file server (AFP).

%package devel
Summary: Headers for Netatalk development
Group: Development/Libraries

%description devel
This package contains the header files for Netatalk.

%prep
%setup -q

%patch0  -p1 -b .basedir
%patch1  -p1 -b .spotlight-home-workaround

ln -s ./NEWS ChangeLog

%build
touch AUTHORS
libtoolize --force
aclocal -I macros
automake --add-missing
autoconf
autoheader
export CFLAGS="$RPM_OPT_FLAGS"
%ifnarch x86_64
# XXX : enable for x86_64 when glibc bug 149284 is fixed!
export CFLAGS="$CFLAGS -fPIE"
export LDFLAGS="-pie -Wl,-z,relro,-z,now,-z,noexecstack"
#"export LDFLAGS="-pie -Wl,-z,relro,-z,now,-z,noexecstack,-z,nodlopen"  #Also in case of i686, nodlopen causes the problem.
%endif
%ifarch ppc ppc64 s390 s390x
export CFLAGS="$CFLAGS -fsigned-char"
%endif

%configure \
	--with-pkgconfdir=%{_sysconfdir} \
	--with-cracklib \
        --with-pam \
	--with-shadow \
	--with-uams-path=%{_libdir}/netatalk \
	--enable-shared \
        --enable-krbV-uam \
        --enable-overwrite \
        --with-gnu-ld \
	--with-init-style=redhat-systemd \
	--with-init-dir=%{_unitdir} \
        --with-libgcrypt \
        --without-libevent \
        --without-tdb \
        --with-pam-confdir=%{_sysconfdir}/pam.d \
        --with-dbus-sysconf-dir=%{_sysconfdir}/dbus-1/system.d \
        --with-tracker-pkgconfig-version=%{pkgver}

# Grrrr. Fix broken libtool/autoFOO Makefiles.
#if [ "%{_lib}" != lib ]; then
#	find . -name Makefile | xargs perl -pi \
#	-e 's,-L/usr/lib,-L%{_libdir},g'
#	find . -name Makefile | xargs perl -pi \
#	-e 's,-L/lib,-L/%{_lib},g'
#fi

make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
 
# install example config files in doc
mkdir config.example
cp -fp config/afp.conf config.example
cp -fp config/extmap.conf config.example
mkdir -p $RPM_BUILD_ROOT/usr/share/netatalk

install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/netatalk

# XXX bad hack until this file is updated in glibc-headers:
rm -f $RPM_BUILD_ROOT/usr/include/netatalk/at.h

# Clean up .a and .la files
find $RPM_BUILD_ROOT -name \*.a -exec rm {} \;
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -e /etc/netatalk/afp_signature.conf -a ! -e /var/netatalk/afp_signature.conf ]; then
	mv -f /etc/netatalk/afp_signature.conf /var/netatalk/
fi
if [ -e /etc/netatalk/afp_voluuid.conf -a ! -e /var/netatalk/afp_voluuid.conf ]; then
	mv -f /etc/netatalk/afp_voluuid.conf /var/netatalk/
fi
%systemd_post netatalk.service

%preun
%systemd_preun netatalk.service

%postun
if [ $1 -ge 1 ] ; then
	# Package upgrade, not uninstall
	if [ -e /etc/netatalk/afp_signature.conf -a ! -e /var/netatalk/afp_signature.conf ]; then
		mv -f /etc/netatalk/afp_signature.conf /var/netatalk/
	fi
	if [ -e /etc/netatalk/afp_voluuid.conf -a ! -e /var/netatalk/afp_voluuid.conf ]; then
		mv -f /etc/netatalk/afp_voluuid.conf /var/netatalk/
	fi
fi
%systemd_postun_with_restart netatalk.service

%files
%defattr(-,root,root)
%doc COPYRIGHT COPYING ChangeLog VERSION NEWS 
#%doc doc
%doc config.example
%{_unitdir}/netatalk.service
%config(noreplace) %{_sysconfdir}/afp.conf
%config(noreplace) %{_sysconfdir}/extmap.conf
%config(noreplace) %{_sysconfdir}/dbus-session.conf
%config(noreplace) %{_sysconfdir}/pam.d/netatalk
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/netatalk-dbus.conf
%{_sbindir}/*
%{_bindir}/*
%exclude %{_bindir}/netatalk-config
%{_mandir}/man*/*
%exclude %{_mandir}/man*/netatalk-config*
%{_datadir}/netatalk
%{_libdir}/*.so
%{_libdir}/*.so.*
%dir %{_libdir}/netatalk
%{_libdir}/netatalk/*.so
%{_var}/netatalk/*

%files devel
%defattr(-,root,root)
%doc COPYRIGHT COPYING
%dir %{_includedir}/atalk
%attr(0644,root,root) %{_includedir}/atalk/*
%{_datadir}/aclocal/netatalk.m4
%{_bindir}/netatalk-config
%{_mandir}/man*/netatalk-config.1*

%changelog
* Wed Oct 30 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.6-0.0.4
- tested on Fedora 21 alpha

* Wed Aug 27 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.6-0.0.1
- upstream: netatalk-3.1.6

* Tue Aug 12 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.5-0.0.1
- upstream: netatalk-3.1.5

* Thu Aug 07 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.4-0.0.1
- upstream: netatalk-3.1.4

* Thu Jul 03 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.3-0.0.1
- upstream: netatalk-3.1.3

* Wed Jun 04 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.2-0.0.1
- upstream: netatalk-3.1.2

* Wed Apr 23 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.1-0.0.7
- Improve reliability of afpd child handler
- add pwent->pw_dir to logmessage. inspired by Bug #557
- Remove tracker miner code. Bug #558
- Only run dbus-daemon if Spotlight is enabled, bug #556

* Fri Apr 04 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.1-0.0.6
- workaround for Bug #558 - tracker_miner_manager_new_full() does not finish

* Wed Apr 02 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.1-0.0.5
- Spotlight: file modification date, bug #545
- workaround for Bug #543 - Spotlight cannot search in user homes

* Sun Mar 23 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.1-0.0.4
- workaround for Bug #545 - Modify Date Change by opening Document

* Sun Mar 23 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.1-0.0.3
- Option "vol dbpath" was broken in 3.1.1
- Fix typo and remove unused variables
- Add missing parenthesis

* Tue Mar 18 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.1-0.0.2
- enable mysql CNID backend

* Thu Mar 13 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.1-0.0.1
- upstream: netatalk-3.1.1
- update netatalk.pam-system-auth. pam_ck_connector.so is not indispensable.

* Sat Jan 11 2014 HAT <hat@fa2.so-net.ne.jp> - 4:3.1.0-0.0.1
- upstream: netatalk-3.1.0

* Tue Dec 17 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.6-0.0.2
- add netatalk-3.0.6-avahi-workaround.patch

* Sat Oct 26 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.6-0.0.1
- upstream: netatalk-3.0.6

* Thu Aug 29 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.5-0.0.2
- FIX: charset conversion failed when copying from Mac OS 9. Bug #523.

* Wed Aug 14 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.5-0.0.1
- upstream: netatalk-3.0.5

* Sun May 26 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.4-0.0.3
- upstream: netatalk-3.0.4

* Tue Mar 26 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.3-0.0.7
- update to latest upstream netatalk-3.0.3
- BuildRequires: dbus-devel dbus-glib-devel glib2-devel systemtap-sdt-devel
- use macro %{_unitdir}

* Thu Feb 28 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.2-0.0.3
- remove useless flags

* Wed Feb 27 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.2-0.0.2
- krbV-uam was missing

* Tue Jan 22 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.2-0.0.1
- update to latest upstream netatalk-3.0.2

* Fri Jan 11 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.1-2.1
- Macroized scriptlets for Fedora 18+

* Fri Jan 11 2013 HAT <hat@fa2.so-net.ne.jp> - 4:3.0.1-1.1
- Update "Summary", "%description" and "%description devel".
- BuildRequires: libdb-devel, not db4-devel
- Add netatalk-3.0.1-basedir.patch
- Copy afp.conf, not afp.conf.tmpl
- Manual scriptlets for Fedora 17 or older
- Move afp_signature.conf and afp_voluuid.conf into /var/netatalk/

* Wed Oct 18 2012 Petr Hosek <petrhosek@gmail.com> - 4:3.0.1-1
- Update to latest stable netatalk-3.0.1
- BuildRequires: libevent-devel

* Thu Aug 23 2012 Lukáš Nykrýn <lnykryn@redhat.com> - 4:2.2.3-6
- Scriptlets replaced with new systemd macros

* Fri Jul 27 2012 Lukáš Nykrýn <lnykryn@redhat.com> - 4:2.2.3-5
- fixed build issue on f18

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4:2.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Lukáš Nykrýn <lnykryn@redhat.com> - 4:2.2.3-3
- fixes: #835714 - Netatalk 2.2.2-1: Unable to unmount afpd share from OSX
  client, crashes Finder netatalk-2.2.2-1

* Tue Jun 12 2012 Lukáš Nykrýn <lnykryn@redhat.com> - 4:2.2.3-2
- fixes: #831001 - netatalk pam configuration has invalid entry

* Mon Jun 04 2012 Lukas Nykryn <lnykryn@redhat.com> 4:2.2.3-1
- fixes #828205 - update to latest upstream netatalk-2.2.3

* Mon Jan 16 2012 Jiri Skala <jskala@redhat.com> - 4:2.2.2-1
- fixes #782049 - update to latest upstream netatalk-2.2.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4:2.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Jiri Skala <jskala@redhat.com> - 4:2.2.1-2
- fixes #501144 - updated and redirected pam config

* Tue Nov 29 2011 Jiri Skala <jskala@redhat.com> - 4:2.2.1-1
- update to latest upstream netatalk-2.2.1

* Fri Aug 19 2011 Jiri Skala <jskala@redhat.com> - 4:2.2.0-4
- fixes #726928 - BuildRequires: avahi-devel libacl-devel openldap-devel

* Fri Aug 05 2011 Jiri Skala <jskala@redhat.com> - 4:2.2.0-3
- fixed missing epoch in sysvinit subpackage and triggers

* Thu Aug 04 2011 Jiri Skala <jskala@redhat.com> - 4:2.2.0-2
- fixes #714448 - systemd-service
- moves SysV initscript to subpackage

* Fri Jul 29 2011 Jiri Skala <jskala@redhat.com> - 4:2.2.0-1
- update to latest upstream netatalk-2.2.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4:2.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 03 2011 Jiri Skala <jskala@redhat.com> - 4:2.1.5-1
- updated to latest upstream version netatalk-2.1.5

* Mon Oct 18 2010 Jiri Skala <jskala@redhat.com> - 4:2.1.4-1
- updated to latest upstream version

* Mon Jul 12 2010 Jiri Skala <jskala@redhat.com> - 4:2.1.3-1
- updated to latest upstream version
- added license texts to devel subpackage

* Wed Jun 30 2010 Jiri Skala <jskala@redhat.com> - 4:2.1.2-1
- updated to latest upstream version

* Fri May 28 2010 Jiri Skala <jskala@redhat.com> - 4:2.1.1-1
- updated to latest upstream version
- fixes #594999 - Summary and Description are old-fashioned
- renamed initscript
- initscript modified to be POSIX compliant

* Wed May 12 2010 Jiri Skala <jskala@redhat.com> - 4:2.1-1
- updated to latest upstream version

* Tue Nov 24 2009 Jiri Skala <jskala@redhat.com> - 4:2.0.5-2
- oops forgot upload new sources => shifted release number

* Tue Nov 24 2009 Jiri Skala <jskala@redhat.com> - 4:2.0.5-1
- updated to latest upstream version

* Mon Nov 23 2009 Jiri Skala <jskala@redhat.com> - 4:2.0.4-5
- added BuildRequires: ... libgcrypt-devel
- removed outdated atalk.init

* Tue Sep 15 2009 Jiri Skala <jskala@redhat.com> - 4:2.0.4-4
- fixed #473943

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 4:2.0.4-3
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4:2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Jiri Skala <jskala@redhat.com> - 4:2.0.4-1
- updated to latest upstream version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4:2.0.3-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Jiri Skala <jskala@redhat.com> -4:2.0.3-26
- Resolves #480641 - CVE-2008-5718 netatalk: papd command injection vulnerability

* Tue Jan 27 2009 Jiri Skala <jskala@redhat.com> -4:2.0.3-25
- fixed epoch in the subpackage requires

* Fri Jan 23 2009 Jiri Skala <jskala@redhat.com> -4:2.0.3-24
- fix #473186 conflict timeout with coreutils

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 4:2.0.3-23
- rebuild with new openssl

* Wed Dec 03 2008 Jiri Skala <jskala@redhat.com> -4:2.0.3-22
- fix #473939 netatalk-2.0.3-21.fc10 disable quota

* Mon Oct 13 2008 Jiri Skala <jskala@redhat.com> - 4:2.0.3-21
- fix #465050 - FTBFS netatalk-2.0.3-19 - regenerated patches

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 4:2.0.3-20
- fix license tag

* Thu Mar 06 2008 Martin Nagy <mnagy@redhat.com> - 4:2.0.3-19
- fix chmod o+x (#225085)
- increase the maximum number of cnid_dbd processes to 512 (#232805)
- papd now writes debugging output to stderr when invoked with -d (#150021)
- fix multiarch conflict for netatalk-devel (#342681)

* Mon Feb 25 2008 Martin Nagy <mnagy@redhat.com> - 4:2.0.3-18
- make init script LSB compliant (#246993)

* Mon Feb 25 2008 Martin Nagy <mnagy@redhat.com> - 4:2.0.3-17
- fix unowned directories (#233889)

* Mon Feb 11 2008 Martin Nagy <mnagy@redhat.com> - 4:2.0.3-16
- rebuild for gcc-4.3

* Tue Dec 04 2007 Martin Nagy <mnagy@redhat.com> - 4:2.0.3-15.1
- rebuild

* Wed Sep 12 2007 Maros Barabas <mbarabas@redhat.com> -4:2.0.3-15
- patch to build on FC, bad open call 

* Tue Sep 11 2007 Maros Barabas <mbarabas@redhat.com> - 4:2.0.3-13
- rebuild

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 4:2.0.3-12
- Rebuild for selinux ppc32 issue.

* Thu May 10 2007 Maros Barabas <mbarabas@redhat.com> - 4:2.0.4-11
- fix from merge review
- Resolves #226190

* Tue Apr 17 2007 Maros Barabas <mbarabas@redhat.com> - 4:2.0.3-10
- fix fiew problems in spec

* Tue Jan 23 2007 Jindrich Novy <jnovy@redhat.com> - 4:2.0.3-9
- rebuild against new db4

* Mon Dec 04 2006 Maros Barabas	<mbarabas@redhat.com> - 4:2.0.3-8
- BuildRequires changed from cracklib to cracklib-devel

* Fri Aug 18 2006 Jesse Keating <jkeating@redhat.com> - 4:2.0.3-7
- rebuilt with latest binutils to pick up 64K -z commonpagesize on ppc*
  (#203001)
- Add dist tag

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 4:2.0.3-6.fc6.1
- rebuild

* Fri Jun 09 2006 Jason Vas Dias <jvdias@redhat.com> - 4:2.0.3-6.fc6
- rebuild for broken libgssapi deps and brew build

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 4:2.0.3-4.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jason Vas Dias <jvdias@redhat.com>
- rebuild for new gcc, glibc, glibc-kernheaders

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 09 2005 Jason Vas Dias <jvdias@redhat.com>
- Rebuild for new openssl dependencies

* Thu Oct 13 2005 Tomas Mraz <tmraz@redhat.com>
- use include instead of pam_stack in pam config

* Wed Jul 20 2005 Bill Nottingham <notting@redhat.com>
- don't run by default

* Thu Jun 16 2005 Jason Vas Dias <jvdias@redhat.com>
- Upgrade to upstream version 2.0.3
- fix bug 160486: use netatalk's initscript

* Wed Mar 30 2005 Florian La Roche <laroche@redhat.com>
- quick fix: rm -f /usr/include/netatalk/at.h until this
  is resolved the correct way

* Mon Mar 07 2005 Jason Vas Dias <jvdias@redhat.com>
- Fix for gcc4 compilation: extern_ucreator.patch

* Mon Feb 21 2005 Jason Vas Dias <jvdias@redhat.com>
- Upgraded to upstream version 2.0.2 .

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 07 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- 1.6.4

* Fri Aug 1 2003 Charlie Bennett <ccb@redhat.com>
- Update with 1.6.3 upstream sources

* Tue Jul 29 2003 Elliot Lee <sopwith@redhat.com>
- Rebuild
- Fix perl multilib path editing
- Add pathcat patch

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 1.5.5-7
- Make multilib generic
- Add builddep on quota (for rpcsvc/rquota.h)

* Wed Feb 18 2003 Bill Nottingham <notting@redhat.com> 1.5.5-5
- fix initscript error (#82118)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.5.5-3
- patch for compile errors with new ssl libs
- rebuild

* Mon Dec 02 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- postun should never fail

* Thu Nov 28 2002 Phil Knirsch <pknirsch@redhat.com> 1.5.5-1
- Updated to 1.5.5

* Tue Jun 25 2002 Phil Knirsch <pknirsch@redhat.com> 1.5.3.1-4
- Fixed dependancy problem on /usr/bin/rc by removing acleandir.[1|rc] (#67243)
- Fixed missing /usr/share/netatalk dir (#67222)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.5.3.1-2
- automated rebuild

* Tue Jun 18 2002 Phil Knirsch <pknirsch@redhat.com> 1.5.3.1-1
- Updated to latest version 1.5.3.1.
- Fixed bug for nls file lookup (#66300).

* Mon May 27 2002 Phil Knirsch <pknirsch@redhat.com> 1.5.2-4
- Fixed initscript bug where you can't use blanks inside of names (#64926).

* Wed Apr 10 2002 Phil Knirsch <pknirsch@redhat.com> 1.5.2-3
- Fixed initscript to use correct config files from /etc/atalk (#62803)
- Changed initscript to use $0 instead of direct string (#61734)
- Change Copyright to Licencse and switch from BSD to GPL (#61746)

* Thu Mar 14 2002 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Mar 13 2002 Bill Nottingham <notting@redhat.com>
- it's back 

* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Sun Feb 25 2001 Tim Powers <timp@redhat.com>
- fixed bug 29370. This package is trying to include a file glibc already includes

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated initscript

* Thu Jan 04 2001 Than Ngo <than@redhat.com>
- fixed uams-path
- added noreplace to %%config

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Fri Nov 10 2000 Than Ngo <than@redhat.com>
- update to 1.5pre2 (bug #19737, #20397)
- update Url and ftp site
- clean up specfile
- netatalk-1.4b2+asun obsolete

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fix dependency with glibc-devel (Bug #15589)
- fix typo in description (Bug #15479)

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- fix symlinks not being relative.

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscripts so that condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 23 2000 Tim Powers <timp@redhat.com>
- rebuilt 

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using service to start inits

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq, now PreReq's /etc/init.d

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- remove prereq initscripts, add requires initscripts
- clean up specfile

* Mon Jun 26 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- add condrestart directive
- fix post/preun/postun scripts
- prereq initscripts >= 5.20

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed bug 11420 concerning the building with -O2.

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fix bug #11978 
- fix man page locations to be FHS compliant

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth

* Thu Dec 16 1999 Tim Powers <timp@redhat.com>
- renewed source so it is pristine, delete the problematic files in spec file
	instead
- general spec file cleanups, create buildroot and dirs in the %%install
	section
- strip binaries
- gzip man pages
- fixed netatalk-asun.librpcsvc.patch, -lnss_nis too
- changed group
- added %%defattr to %%files section

* Tue Aug 3 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- rpm-3.0 needs to remove vogus files from source.
  Removed files: etc/papd/.#magics.c, etc/.#diff
* Fri Jul 30 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Change Copyright tag to BSD.
  Add /usr/bin/adv1tov2.
* Thu Apr 22 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct librpcsvc.patch.  Move %%changelog section last.
  Uncomment again -DNEED_QUOTA_WRAPPER in sys/linux/Makefile since
  LinuxPPC may need.
* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DNEED_QUOTA_WRAPPER in sys/linux/Makefile.
* Sat Mar 20 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct symbolic links to psf.
  Remove asciize function from nbplkup so as to display Japanese hostname.
* Thu Mar 11 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Included MacPerl 5 script ICDumpSuffixMap which dumps suffix mapping
  containd in Internet Config Preference.
* Tue Mar 2 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [asun2.1.3]
* Mon Feb 15 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-8]
* Sun Feb 7 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-6]
* Mon Jan 25 1999 iNOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-3]
* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2]
  Remove crlf patch. It is now a server's option.
* Thu Dec 3 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.1.tar.gz
  Add uams directory
* Sat Nov 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-3 source.
* Mon Nov 23 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-2 source.
* Mon Nov 16 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Fix rcX.d's symbolic links.
* Wed Oct 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0a-2 source. Remove '%%exclusiveos linux' line.
* Sat Oct 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.0.tar.gz.
* Mon Oct 5 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-10a source.
* Thu Sep 19 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-8 source. Add chkconfig support.
* Sat Sep 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DCRLF. Use RPM_OPT_FLAGS.
* Mon Sep 8 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-7 source. Rename atalk.init to atalk.
* Mon Aug 22 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-6 source.
* Mon Jul 27 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-5 source.
* Tue Jul 21 1998 INOUE Koichi <inoue@ma.ns.musashi-techa.c.jp>
- Use pre-asun2.1.0-3 source.
* Tue Jul 7 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Add afpovertcp entries to /etc/services
- Remove BuildRoot in man8 pages
* Mon Jun 29 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use modified sources 1.4b2+asun2.1.0 produced by Adrian Sun
  <asun@saul9.u.washington.edu> to provide an AppleShareIP file server
- Included AppleVolumes.system file maintained by Johnson
  <johnson@stpt.usf.edu>
* Mon Aug 25 1997 David Gibson <D.Gibson@student.anu.edu.au>
- Used a buildroot
- Use RPM_OPT_FLAGS
- Moved configuration parameters/files from atalk.init to /etc/atalk
- Separated devel package
- Built with shared libraries
* Sun Jul 13 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Updated sources from 1.3.3 to 1.4b2
- Included endian patch for Linux/SPARC
- Use all the configuration files supplied in the source.  This has the
  following advantages over the ones in the previous rpm release:
	+ The printer 'lp' isn't automatically placed in papd.conf
	+ The default file conversion is binary rather than text.
- Automatically add and remove DDP services from /etc/services
- Placed the recommended /etc/services in the documentation
- Changed atalk.init to give daemons a soft kill
- Changed atalk.init to make configuration easier

* Wed May 28 1997 Mark Cornick <mcornick@zorak.gsfc.nasa.gov>
Updated for /etc/pam.d
